| Kea 3.0.2-git

isc::dhcp::AddressRange Struct Reference

Structure representing IP address range. More...

`#include <ip_range.h>`

## Public Member Functions
| AddressRange (const asiolink::IOAddress &start, const asiolink::IOAddress &end)
| Constructor.

## Public Attributes
asiolink::IOAddress | end_
| IP address denoting the end of the address range.
asiolink::IOAddress | start_
| IP address denoting the start of the address range.

## Detailed Description

Structure representing IP address range.

Definition at line 16 of file ip_range.h.

## Constructor & Destructor Documentation

## ◆ AddressRange()

isc::dhcp::AddressRange::AddressRange | ( | const asiolink::IOAddress & | start,
|  | const asiolink::IOAddress & | end )

Constructor.

Parameters

  start | beginning of the address range.
  end | end of the address range.

Exceptions

  BadValue | if the `start` is greater than the end or specified boundaries do not belong to the same family.

Definition at line 18 of file ip_range.cc.

References end_, if(), isc_throw, and start_.

Here is the call graph for this function:

## Member Data Documentation

## ◆ end_

asiolink::IOAddress isc::dhcp::AddressRange::end_

IP address denoting the end of the address range.

Definition at line 20 of file ip_range.h.

Referenced by AddressRange().

## ◆ start_

asiolink::IOAddress isc::dhcp::AddressRange::start_

IP address denoting the start of the address range.

Definition at line 18 of file ip_range.h.

Referenced by AddressRange().

The documentation for this struct was generated from the following files:

- ip_range.h
- ip_range.cc